Subject: Re: [PATCH 2/4] object-file: refactor corrupt object diagnosis

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Dec 2022 08:42:57 +0900

Jeff King <[email-masked]> writes:

> So maybe:
>
>   if (!oideq(real_oid, oid))
>
> instead? It's a little slower, but the point of this is to diagnose and
> die, so it's not exactly a hot path. :)

Very true, including the part that the original is fine because it
is localized and fairly obvious.  For a public function, we cannot
assume any additional constraints between oid and real_oid (other
than they are of the same "struct object_id *" type) like the two
pointers prepared locally in the original had, and use of oideq()
would be more appropriate here.

Thanks.